package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.Date;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwGlFreevalue",description = "辅助标识表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlFreevalue {
	/**
     * 辅助标识主键
     */
    @ApiModelProperty(value = "辅助标识主键", required = true, example = "")
    private String pkFreevalue;

    /**
     * 辅助核算标识
     */
    @ApiModelProperty(value = "辅助核算标识", required = false, example = "")
    private String assid;

    /**
     * 序号
     */
    @ApiModelProperty(value = "序号", required = false, example = "")
    private Integer assindex;

    /**
     * 辅助核算类型
     */
    @ApiModelProperty(value = "辅助核算类型", required = false, example = "")
    private String checktype;

    /**
     * 辅助核算值
     */
    @ApiModelProperty(value = "辅助核算值", required = false, example = "")
    private String checkvalue;

    @ApiModelProperty(value = "辅助项中文名", required = false, example = "")
    private String checkname;
    /**
     * 档案编码
     */
    @ApiModelProperty(value = "档案编码", required = false, example = "")
    private String valuecode;

    /**
     * 档案名称
     */
    @ApiModelProperty(value = "档案名称", required = false, example = "")
    private String valuename;

    /**
     * 借方金额
     */
    @ApiModelProperty(value = "借方金额", required = false, example = "")
    private BigDecimal debitamount;

    /**
     * 贷方金额
     */
    @ApiModelProperty(value = "贷方金额", required = false, example = "")
    private BigDecimal creditamount;

    /**
     * 来源系统
     */
    @ApiModelProperty(value = "来源系统", required = false, example = "")
    private String pkSystem;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}