package com.dhcc.finance.main.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


@ApiModel(value = "CwHsGlorgbook",description = "恒生估值账套表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwHsGlorgbook {
	   /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String id;

    /**
     * 账套编码
     */
    @ApiModelProperty(value = "账套编码", required = false, example = "")
    private String glorgbookCode;

    /**
     * 账套名称
     */
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String glorgbookName;

    /**
     * 对应系统
     */
    @ApiModelProperty(value = "对应系统", required = false, example = "")
    private String companyFlag;

    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期", required = false, example = "")
    private String startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty(value = "结束日期", required = false, example = "")
    private String endDate;

    /**
     * 子项目编码
     */
    @ApiModelProperty(value = "子项目编码", required = false, example = "")
    private String productId;

    /**
     * 子项目
     */
    @ApiModelProperty(value = "子项目", required = false, example = "")
    private String subProductId;

    /**
     * 估值对应代码
     */
    @ApiModelProperty(value = "估值对应代码", required = false, example = "")
    private String dfCompany;

    /**
     * 配置标志
     */
    @ApiModelProperty(value = "配置标志", required = false, example = "")
    private String mapFlag;

    /**
     * 导入模式
     */
    @ApiModelProperty(value = "导入模式", required = false, example = "")
    private String importMode;

    /**
     * 最近导入日期
     */
    @ApiModelProperty(value = "最近导入日期", required = false, example = "")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String lastDate;

    /**
     * 导入人员
     */
    @ApiModelProperty(value = "导入人员", required = false, example = "")
    private String inputMan;

    /**
     * 导入时间
     */
    @ApiModelProperty(value = "导入时间", required = false, example = "")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inputTime;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}