package com.dhcc.finance.main.model;

import java.util.Date;
import java.util.List;

import com.dhcc.finance.main.domain.CwBdAccass;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
/**
 * 功能描述：会计科目及其辅助项
 * @author dml
 * @date 2019年3月29日 下午3:11:00
 * @修改日志：
 */
@ApiModel(value = "CwBdAccsubjManage",description = "会计科目及其辅助项")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccsubjManage {
    @ApiModelProperty(value = "科目主键", required = true, example = "")
    private String pkAccsubj;

    @ApiModelProperty(value = "科目版本编号", required = false, example = "")
    private String pkSubjscheme;

    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;

    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;

    @ApiModelProperty(value = "科目级次", required = false, example = "")
    private String subjlev;

    @ApiModelProperty(value = "显示名称", required = false, example = "")
    private String dispname;

    @ApiModelProperty(value = "编码规则", required = false, example = "")
    private String rule;

    @ApiModelProperty(value = "科目类型", required = false, example = "")
    private String pkSubjtype;

    @ApiModelProperty(value = "科目类型（业务归属小类）", required = false, example = "")
    private String pkSubjtypeSub;
    
    @ApiModelProperty(value = "科目方向", required = false, example = "")
    private String balanorient;

    @ApiModelProperty(value = "余额控制方向", required = false, example = "")
    private String balanflag;

    @ApiModelProperty(value = "发生额控制方向", required = false, example = "")
    private String icurflag;

    @ApiModelProperty(value = "默认币种", required = false, example = "")
    private String currency;

    @ApiModelProperty(value = "辅助账设置标志", required = false, example = "")
    private String auxflag;

    @ApiModelProperty(value = "父级科目", required = false, example = "")
    private String parentid;

    @ApiModelProperty(value = "末级标志", required = false, example = "")
    private String finalstage;

    @ApiModelProperty(value = "计量单位", required = false, example = "")
    private String units;

    @ApiModelProperty(value = "启用状态", required = false, example = "")
    private String enablestate;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
    
    @ApiModelProperty(value = "会计科目辅助项", required = false, example = "")
    private List<CwBdAccass> cwBdAccassList;

}
