/**
 * 
 */
package com.dhcc.finance.main.model;

import java.util.Date;

import com.dhcc.finance.main.domain.CwBdGlorgbook;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@ApiModel(value = "CwBdGlorgbookAndOther",description = "账套管理表加入科目名称和结转名称字段")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdGlorgbookAndOther {
	  /**
     * 账套主键
     */
    @ApiModelProperty(value = "账套主键", required = true, example = "")
    private String pkGlorgbook;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号", required = false, example = "")
    private String xtxmbh;

    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String xtzxmbh;

    /**
     * 分期募集编号
     */
    @ApiModelProperty(value = "分期募集编号", required = false, example = "")
    private String fqmjbh;

    /**
     * 账套编码
     */
    @ApiModelProperty(value = "账套编码", required = false, example = "")
    private String code;

    /**
     * 账套名称
     */
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String name;

    /**
     * 启用期间
     */
    @ApiModelProperty(value = "启用期间", required = false, example = "")
    private String pkAccperiod;
    /**
     * 会计期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
	private String pkCurrperiod;

    /**
     * 科目版本
     */
    @ApiModelProperty(value = "科目版本", required = false, example = "")
    private String pkSubjscheme;
    /**
     * 科目版本
     */
    @ApiModelProperty(value = "科目版本名称", required = false, example = "")
    private String pkSubjectName;

    /**
     * 结转方案
     */
    @ApiModelProperty(value = "结转方案", required = false, example = "")
    private String pkTransfer;
    /**
     * 结转方案
     */
    @ApiModelProperty(value = "结转方案名称", required = false, example = "")
    private String pkTransferName;
    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态", required = false, example = "")
    private String enablestatte;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}
