package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import com.dhcc.common.util.ExcelColumn;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwChroAccountInfo", description = "序时账数据")
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwChroAccountInfo {
    
    @ApiModelProperty(value = "日期", required = true, example = "")
    @ExcelColumn(value="日期",col=1,lock = true)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prepareDate;
    
    @ApiModelProperty(value = "凭证号", required = false, example = "")
    @ExcelColumn(value="凭证号",col=2)
    private String pzh;
    
    @ApiModelProperty(value = "科目", required = false, example = "")
    @ExcelColumn(value="科目",col=3)
    private String subjcode;
    
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    @ExcelColumn(value="科目名称",col=4)
    private String subjname;
    
    @ApiModelProperty(value = "产品名称", required = false, example = "")
    @ExcelColumn(value="产品名称",col=5)
    private String cpmc;
    
    @ApiModelProperty(value = "摘要", required = false, example = "")
    @ExcelColumn(value="摘要",col=6)
    private String abstracts;
    
    @ApiModelProperty(value = "方向", required = false, example = "")
    @ExcelColumn(value="方向",col=7)
    private String fx;
    
    @ApiModelProperty(value = "金额", required = false, example = "")
    @ExcelColumn(value="金额",col=8)
    private BigDecimal je;
    
    @ApiModelProperty(value = "核算会计", required = false, example = "")
    @ExcelColumn(value="核算会计",col=9)
    private String manName;

}
