package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import org.springframework.web.multipart.MultipartFile;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "FileUploadRequestTemp",description = "文件与实体上传")
public class FileUploadRequestTemp {
	@ApiModelProperty(value = "文件", required = true)
	MultipartFile[] files = new MultipartFile[] {};
	 /**
     * 账套
     */
    @ApiModelProperty(value = "账套", required = false, example = "")
    private String pkGlorgbook;

    /**
     * 期初期间
     */
    @ApiModelProperty(value = "期初期间", required = false, example = "")
    private String period;

    /**
     * 科目类型
     */
    @ApiModelProperty(value = "科目类型", required = false, example = "")
    private String pkSubjtype;

    /**
     * 科目主键
     */
    @ApiModelProperty(value = "科目主键", required = false, example = "")
    private String pkAccsubj;

    /**
     * 科目编码
     */
    @ApiModelProperty(value = "科目编码", required = false, example = "")
    private String subjcode;

    /**
     * 科目名称
     */
    @ApiModelProperty(value = "科目名称", required = false, example = "")
    private String subjname;

    /**
     * 科目方向
     */
    @ApiModelProperty(value = "科目方向", required = false, example = "")
    private String balanorient;

    /**
     * 币种
     */
    @ApiModelProperty(value = "币种", required = false, example = "")
    private String pkCurrtype;

    /**
     * 辅助核算类型
     */
    @ApiModelProperty(value = "辅助核算类型", required = false, example = "")
    private String checktype;

    /**
     * 辅助核算值
     */
    @ApiModelProperty(value = "辅助核算值", required = false, example = "")
    private String checkvalue;

    /**
     * 期初余额
     */
    @ApiModelProperty(value = "期初余额", required = false, example = "")
    private BigDecimal initamount;

    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;
}
