package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdAccounting;
import com.dhcc.finance.main.domain.CwGlVoucher;
import com.github.pagehelper.PageInfo;

/** 功能描述：人员设置相关功能
 * @author hezewei
 * @date 2019年6月13日 下午7:53:34
 * @修改日志：
 */
public interface CwBdAccountingService
{

    /** 功能描述：获取全部人员设置信息
     * @param pageNum
     * @param pageSize
     * @param navigatePages
     * @param pkPrepared
     * @param pkAudit
     * @param pkSign
     * @return RestfulResponse<PageInfo<CwGlVoucher>,CurrencyMeta>
     * @author hezewei
     * @param pkAccounting 
     * @date 2019年6月13日 下午8:06:10
     * @修改日志：
     */
    RestfulResponse<PageInfo<CwBdAccounting>, CurrencyMeta> searchCwBdAccountingAllData(int pageNum, int pageSize, int navigatePages, String pkPrepared, String pkAudit, String pkSign, String pkAccounting);

    /** 功能描述：新增人员设置信息
     * @param cwBdAccounting
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author hezewei
     * @date 2019年6月14日 上午11:20:36
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> addCwBdAccounting(CwBdAccounting cwBdAccounting);

    /** 功能描述：删除人员设置信息
     * @param pkAccounting
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author hezewei
     * @date 2019年6月15日 上午11:00:43
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> deleteCwBdAccounting(String pkAccounting);

    /** 功能描述：启用，禁用人员设置信息
     * @param enablestate
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author hezewei
     * @param pkAccounting 
     * @date 2019年6月15日 下午3:20:14
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> updateCwBdAccounting(String enablestate, String pkAccounting);

    /** 功能描述：修改人员设置
     * @param pkPrepared
     * @param pkAudit
     * @param pkSign
     * @param remark
     * @param enablestate
     * @param pkAccounting
     * @return RestfulResponse<Object,CurrencyMeta>
     * @author hezewei
     * @date 2019年6月17日 下午4:55:14
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> updatePersonnelSettings(String pkPrepared, String pkAudit, String pkSign, String remark, String enablestate, String pkAccounting);

}
