package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwGlVouchermaxno;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：最大凭证号接口
 *
 * @author dml
 * @date 2019年3月28日 下午7:53:05
 * @修改日志：
 */
public interface CwGlVouchermaxnoService {
    /**
     * 功能描述：查询全部最大凭证号
     *
     * @param pageNum
     * @param pageSize
     * @param navigatePages
     * @return RestfulResponse<PageInfo < CwGlVouchermaxno>,CurrencyMeta>
     * @author dml
     * @date 2019年3月28日 下午7:56:57
     * @修改日志：
     */
    RestfulResponse<PageInfo<CwGlVouchermaxno>, CurrencyMeta> searchCwGlVouchermaxnoAllData(int pageNum, int pageSize, int navigatePages);

    /**
     * 功能描述：新增最大凭证号
     *
     * @param cwGlVouchermaxno
     * @return RestfulResponse<Object, CurrencyMeta>
     * @author dml
     * @date 2019年3月28日 下午7:57:01
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> addCwGlVouchermaxno(CwGlVouchermaxno cwGlVouchermaxno);

    /**
     * 功能描述：修改最大凭证号
     *
     * @param cwGlVouchermaxno
     * @return RestfulResponse<Object, CurrencyMeta>
     * @author dml
     * @date 2019年3月28日 下午7:57:06
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> updateCwGlVouchermaxnoByPk(CwGlVouchermaxno cwGlVouchermaxno);

    /**
     * 功能描述：删除最大凭证号
     *
     * @param pkVouchermaxno
     * @return RestfulResponse<Object, CurrencyMeta>
     * @author dml
     * @date 2019年3月28日 下午7:57:09
     * @修改日志：
     */
    RestfulResponse<Object, CurrencyMeta> deleteCwGlVouchermaxnoByPk(String pkVouchermaxno);

    /**
     * @param pkVouchertype
     * @param period
     * @param pkGlorgbook
     * @return RestfulResponse<List < CwGlVouchermaxno>,CurrencyMeta>
     * @author huangpeng
     * @date 2019年4月12日 下午4:01:38
     * @修改日志：
     */
    RestfulResponse<CwGlVouchermaxno, CurrencyMeta> searchCwGlVouchermaxnoMaxNo(String pkGlorgbook, String period);

    /**
     * @param [pkGlorgbook, period]
     * @return com.dhcc.finance.main.domain.CwGlVouchermaxno
     * @description: 获取最大凭证号
     * @author liuxianjv
     * @date 2020-06-13 16:15
     */
    CwGlVouchermaxno getVoucherMaxNo(String pkGlorgbook, String period);
}
